__gnu_debug::type_info Class Reference

`#include <typeinfo>`

## Public Member Functions

virtual | ~type_info ()
virtual bool | __do_catch (const type_info *__thr_type, void **__thr_obj, unsigned __outer) const
virtual bool | __do_upcast (const __cxxabiv1::__class_type_info *__target, void **__obj_ptr) const
virtual bool | __is_function_p () const
virtual bool | __is_pointer_p () const
bool | before (const type_info &__arg) const noexcept
size_t | hash_code () const noexcept
const char * | name () const noexcept
constexpr bool | operator== (const type_info &__arg) const noexcept

## Protected Member Functions

| type_info (const char *__n)

## Protected Attributes

const char * | __name

## Detailed Description

Part of RTTI.

The `type_info` class describes type information generated by an implementation.

Definition at line 92 of file typeinfo.

## Constructor & Destructor Documentation

## ~type_info()

virtual std::type_info::~type_info | ( |  | ) |

virtual

Destructor first. Being the first non-inline virtual function, this controls in which translation unit the vtable is emitted. The compiler makes use of that information to know where to emit the runtime-mandated type_info structures in the new-abi.

## type_info()

std::type_info::type_info | ( | const char * | __n | ) |

inline explicit protected

Definition at line 152 of file typeinfo.

## Member Function Documentation

## before()

bool std::type_info::before | ( | const type_info & | __arg | ) | const

noexcept

Returns true if *this precedes __arg in the implementation's collation order.

## hash_code()

size_t std::type_info::hash_code | ( |  | ) | const

inline noexcept

Definition at line 119 of file typeinfo.

## name()

const char * std::type_info::name | ( |  | ) | const

inline noexcept

Returns an implementation-defined byte string; this is not portable between compilers!

Definition at line 103 of file typeinfo.

## Member Data Documentation

## __name

const char* std::type_info::__name

protected

Definition at line 150 of file typeinfo.

The documentation for this class was generated from the following file:

- typeinfo